Bug 491211 - Plasma freezes when network mount is unavailable
Plasma freezes when network mount is unavailable
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 16:10 EDT by Arkadi Shishlov
Modified: 2009-05-26 17:12 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 17:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 184062 None None None Never

  None (edit)
Description Arkadi Shishlov 2009-03-19 16:10:12 EDT
If network mount (CIFS) is stuck due to server unavailability, then Plasma freezes making its impossible to switch windows via taskbar. If it is manually killed and restarted, it does not draw itself and following output is shown:

plasma(4224): Communication problem with  "plasma" , it probably crashed. 
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken." "

The only way to restore functionality is to recover or unmount remote share and then restart plasma.
Comment 1 Rex Dieter 2009-04-27 13:27:31 EDT
(cifs) mounted where?  is it part of your homedir or other?
Comment 2 Arkadi Shishlov 2009-04-27 18:03:55 EDT
CIFS mounted on /mnt/some-share. Homedir - no.
Comment 3 Steven M. Parrish 2009-05-26 13:37:40 EDT
This issue needs to be reported upstream to http://bugs.kde.org.  Please remember to add upstream report info to this report once you are done.
Comment 4 Arkadi Shishlov 2009-05-26 16:57:07 EDT
https://bugs.kde.org/show_bug.cgi?id=184062
Comment 5 Steven M. Parrish 2009-05-26 17:12:23 EDT
Thanks for reporting upstream.  Will monitor for a resolution.

Note You need to log in before you can comment on or make changes to this bug.